package com.dskj.znzn.transData.web.dataTransfer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dskj.znzn.transData.web.dataTransfer.entity.WindFarmDayCount;
import com.dskj.znzn.transData.web.dataTransfer.inData.GetTimeRangeInData;
import com.dskj.znzn.transData.web.dataTransfer.inData.HistoryDataSummaryInData;
import com.dskj.znzn.transData.web.dataTransfer.outData.AsyncPlatformTimeOutData;
import com.dskj.znzn.transData.web.dataTransfer.outData.GetTimeRangeOutData;
import com.dskj.znzn.transData.web.dataTransfer.outData.HistoryDataSummaryOutData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 每日采集数据表 Mapper 接口
 * </p>
 *
 * @author 魏志亮
 * @since 2025-02-28
 */
@Mapper
public interface WindFarmDayCountMapper extends BaseMapper<WindFarmDayCount> {

    List<GetTimeRangeOutData> getTimeRange(GetTimeRangeInData data);

    List<AsyncPlatformTimeOutData> asyncPlatformTime();

    List<HistoryDataSummaryOutData> getHistoryDataSummary(HistoryDataSummaryInData inData);
}
