package com.dskj.znzn.transData.crontab;

import com.alibaba.fastjson.JSON;
import com.dskj.znzn.transData.web.dataTransfer.mapper.WindFarmDayCountMapper;
import com.dskj.znzn.transData.web.dataTransfer.outData.AsyncPlatformTimeOutData;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
@Slf4j
public class UpdadePlatformData {

    private final WindFarmDayCountMapper windFarmDayCountMapper;

    @Scheduled(cron = "0 0 1 * * ?")
    public void updateTime() {

        List<AsyncPlatformTimeOutData> datas = windFarmDayCountMapper.asyncPlatformTime();

        System.out.println(JSON.toJSON(datas));
        if (!datas.isEmpty()) {
        }
    }
}
