package com.dskj.znzn.transData.web.dataTransfer.inData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@ApiModel
@Data
public class GetTimeRangeInData {

    @ApiModelProperty(value = "风场编号", required = true)
    @NotBlank(message = "风场编号不能为空")
    private String windFarmCode;

    @ApiModelProperty(value = "转化类型", required = true)
    @NotEmpty(message = "转化类型不能为空")
    private List<String> transferType;

    @ApiModelProperty(value = "是否在线数据 0:否 1:是,默认1")
    private Integer isOnlineData = 1;
}
