package com.dskj.znzn.transData.web.dataTransfer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.transData.web.dataTransfer.entity.WindFarmDayCount;
import com.dskj.znzn.transData.web.dataTransfer.inData.GetTimeRangeInData;
import com.dskj.znzn.transData.web.dataTransfer.inData.HistoryDataSummaryInData;
import com.dskj.znzn.transData.web.dataTransfer.outData.GetTimeRangeOutData;
import com.dskj.znzn.transData.web.dataTransfer.outData.HistoryDataSummaryOutData;

import java.util.List;

/**
 * <p>
 * 每日采集数据表 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2025-02-28
 */
public interface IWindFarmDayCountService extends IService<WindFarmDayCount> {

    List<GetTimeRangeOutData> getTimeRange(GetTimeRangeInData data);

    List<WindFarmDayCount> getTodayData();

    List<HistoryDataSummaryOutData> getHistoryDataSummary(HistoryDataSummaryInData inData);
}
